Module ij
Package ij.process

# Class FloatBlitter

java.lang.Object
ij.process.FloatBlitter

All Implemented Interfaces:
  `Blitter`

public class FloatBlitter extends Object implements Blitter
This class does bit blitting of 32-bit floating-point images.

## Field Summary

Fields
Modifier and Type
Field
Description
`static float`
`divideByZeroValue`

### Fields inherited from interface ij.process.Blitter

`ADD, AND, AVERAGE, COPY, COPY_INVERTED, COPY_TRANSPARENT, COPY_ZERO_TRANSPARENT, DIFFERENCE, DIVIDE, MAX, MIN, MULTIPLY, OR, SUBTRACT, XOR`

## Constructor Summary

Constructors
Constructor
Description
`FloatBlitter(FloatProcessor ip)`
Constructs a FloatBlitter from a FloatProcessor.

## Method Summary

Modifier and Type
Method
Description
`void`
`copyBits(ImageProcessor ip, int xloc, int yloc, int mode)`
Copies the float image in 'ip' to (x,y) using the specified mode.
`void`
`setTransparentColor(Color c)`
Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### divideByZeroValue

public static float divideByZeroValue

## Constructor Details

### FloatBlitter

public FloatBlitter(FloatProcessor ip)
Constructs a FloatBlitter from a FloatProcessor.

## Method Details

### setTransparentColor

public void setTransparentColor(Color c)
Description copied from interface: `Blitter`
Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

Specified by:
  `setTransparentColor` in interface `Blitter`

### copyBits

public void copyBits(ImageProcessor ip, int xloc, int yloc, int mode)
Copies the float image in 'ip' to (x,y) using the specified mode.

Specified by:
  `copyBits` in interface `Blitter`